%define major 3
%define libname %mklibname tasn1_ %{major}
%define develname %mklibname -d tasn1

Summary:	The ASN.1 library used in GNUTLS
Name:		libtasn1
Version:	2.7
%define subrel	1
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
Url:		http://josefsson.org/libtasn1/
Source0:	http://ftp.gnu.org/gnu/libtasn1/%{name}-%{version}.tar.gz
Source1:	%{SOURCE0}.sig
Patch0:		libtasn1-2.9-CVE-2012-1569.diff
BuildRequires:	bison
%ifnarch %arm %mips
BuildRequires:	valgrind
%endif

%description
Libtasn1 is an implementation of the ASN.1 standard used by GnuTLS and others.

%package -n %{libname}
Summary:	The ASN.1 library used in GNUTLS
Group:		System/Libraries

%description -n %{libname}
Libtasn1 is an implementation of the ASN.1 standard used by GnuTLS and others.

%package tools
Summary:	Command line ASN.1 tools
Group:		Text tools
License:	GPLv3+

%description tools
Libtasn1 is an implementation of the ASN.1 standard used by GnuTLS and others.

This contains the command line tools to work with ASN.1 data.

%package -n %{develname}
Summary:	The ASN.1 development files
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Libtasn1 is an implementation of the ASN.1 standard used by GnuTLS and others.

This contains development files and headers for %{name}.

%prep
%setup -q
%patch0 -p0 -b .CVE-2012-1569

%build
%configure2_5x \
%ifnarch %arm %mips
	--enable-valgrind-tests
%endif

%make

%check
make check

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%post -n %{develname}
%_install_info %{name}.info
%preun -n %{develname}
%_remove_install_info %{name}.info

%files tools
%doc NEWS README THANKS
%{_bindir}/asn*
%{_mandir}/man1/asn*

%files -n %{libname}
%{_libdir}/libtasn1.so.%{major}*

%files -n %{develname}
%doc AUTHORS ChangeLog
%{_includedir}/libtasn1.h
%{_libdir}/libtasn1.a
%{_libdir}/libtasn1.la
%{_libdir}/libtasn1.so
%{_libdir}/pkgconfig/libtasn1.pc
%{_infodir}/libtasn1.info*
%{_mandir}/man3/*




%changelog

* Tue Mar 27 2012 luigiwalser <luigiwalser> 2.7-2.1.mga1
+ Revision: 227132
- fix CVE-2012-1569 (from debian)

* Wed Jan 12 2011 blino <blino> 2.7-2.mga1
+ Revision: 6587
- remove old ldconfig scriptlets

  + ahmad <ahmad>
    - imported package libtasn1


* Sun Jul 11 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.7-1mdv2011.0
+ Revision: 550914
- update to new version 2.7

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 2.6-2mdv2010.1
+ Revision: 540037
- rebuild so that shared libraries are properly stripped again

* Tue Apr 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.6-1mdv2010.1
+ Revision: 536968
- Update to 2.6

* Tue Mar 16 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.5-1mdv2010.1
+ Revision: 522424
- update to new version 2.5
- update url for Source0

* Mon Feb 01 2010 Emmanuel Andry <eandry@mandriva.org> 2.4-1mdv2010.1
+ Revision: 499244
- New version 2.4

* Sun Sep 27 2009 Olivier Blin <oblin@mandriva.com> 2.3-2mdv2010.0
+ Revision: 449940
- disable valgrind on mips & arm (from Arnaud Patard)

* Fri Jul 31 2009 Frederik Himpe <fhimpe@mandriva.org> 2.3-1mdv2010.0
+ Revision: 405216
- Update to new version 2.3

* Thu May 21 2009 Funda Wang <fwang@mandriva.org> 2.2-1mdv2010.0
+ Revision: 378225
- New version 2.2

* Sat May 02 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.1-1mdv2010.0
+ Revision: 370698
- update to new version 2.1

* Thu Feb 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.8-1mdv2009.1
+ Revision: 337691
- update to new version 1.8

* Sun Dec 07 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7-1mdv2009.1
+ Revision: 311680
- package /usr/bin/libtasn1-config
- update to new version 1.7

* Tue Nov 11 2008 Funda Wang <fwang@mandriva.org> 1.6-1mdv2009.1
+ Revision: 302039
- there is no multiarch binaries
- New version 1.6

* Mon Sep 01 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.5-2mdv2009.0
+ Revision: 278210
- rebuild
- update to new version 1.5
- fix url for source0
- add sig file
- remove not needed defines
- improve descriptions and summaries
- enable checks
- add buildrequires on bison and valgrind
- spec file clean

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.4-2mdv2009.0
+ Revision: 264894
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun May 18 2008 Funda Wang <fwang@mandriva.org> 1.4-1mdv2009.0
+ Revision: 208576
- New version 1.4

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.2-2mdv2008.1
+ Revision: 170959
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Mon Jan 21 2008 Funda Wang <fwang@mandriva.org> 1.2-1mdv2008.1
+ Revision: 155610
- New version 1.2

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 03 2007 Götz Waschk <waschk@mandriva.org> 1.1-2mdv2008.1
+ Revision: 114600
- fix devel provides

* Mon Dec 03 2007 Götz Waschk <waschk@mandriva.org> 1.1-1mdv2008.1
+ Revision: 114558
- import libtasn1


* Mon Dec  3 2007 Götz Waschk <waschk@mandriva.org> 1.1-1mdv2008.1
- initial package
